<?php

namespace MWStake\MediaWiki\Component\CommonWebAPIs\Data\GroupStore;

use GlobalVarConfig;
use MWStake\MediaWiki\Component\DataStore\IStore;
use MWStake\MediaWiki\Component\Utils\UtilityFactory;

class Store implements IStore {
	/** @var \MWStake\MediaWiki\Component\Utils\Utility\GroupHelper */
	protected $groupHelper;

	/** @var GlobalVarConfig */
	protected $mwsgConfig;

	/**
	 * @param UtilityFactory $utilityFactory
	 * @param GlobalVarConfig $mwsgConfig
	 */
	public function __construct( UtilityFactory $utilityFactory, GlobalVarConfig $mwsgConfig ) {
		$this->groupHelper = $utilityFactory->getGroupHelper();
		$this->mwsgConfig = $mwsgConfig;
	}

	/**
	 * @return UserSchema
	 */
	public function getSchema() {
		return new GroupSchema();
	}

	/**
	 * @return PrimaryDataProvider
	 */
	public function getReader() {
		return new Reader( $this->groupHelper, $this->mwsgConfig );
	}

	/**
	 * @return PrimaryDataProvider
	 */
	public function getWriter() {
		throw new NotImplementedException();
	}
}
